<?php 

	require_once ('../../../wp-config.php');
	
	define('AUTOCOMPLETER_URL', WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
	
	$framework = get_option('kau-boys_autocompleter_framework');
	$searchfield_id = get_option('kau-boys_autocompleter_id');
	$selectortype = get_option('kau-boys_autocompleter_selectortype');
	// set default if values haven't been recieved from the database
	if(empty($searchfield_id)) $searchfield_id = 's';
	
	if($framework == 'scriptaculous'):
?>
document.observe("dom:loaded", function() {
<?php if($selectortype == 'id') : ?>
	var searchfield_id = '<?php echo $searchfield_id ?>';
<?php else : ?>
	var searchfield_id = 'autocompleter';
	$$('input[name=<?php echo $searchfield_id ?>]').first().id = 'autocompleter';
<?php endif ?>
	if ($(searchfield_id) != null) {
		var newDiv = new Element('div', {
			'id': 'search_results',
			'class': 'ac_results'
		});
		$(searchfield_id).up('body').insert(newDiv);
		new Ajax.Autocompleter(searchfield_id, 'search_results', '<?php echo AUTOCOMPLETER_URL ?>' + 'autocompleter_results.php?lang=<?php echo $_REQUEST['lang'] ?>', {
			paramName: 'q',
			tokens: ',',
			updateElement: function(li){
				document.location.href = li.down('a').href;
			}
		});
	}
});
<?php else : ?>
jQuery(function(){
	var autocompleter = jQuery('<?php echo ($selectortype == 'name')? 'input[name='.$searchfield_id.']' : '#'.$searchfield_id ?>')
		.autocomplete('<?php echo AUTOCOMPLETER_URL ?>' + 'autocompleter_results.php?lang=<?php echo $_REQUEST['lang'] ?>', {
			highlight: false,
			scroll: false,
			formatItem: function(value){
				return value[0];
			},
			formatResult: function(value) {
				return value[0].replace(/<\/?[^>]+>/gi, '');
			}

		})
		.result(function(event, value){
			location.href = value[1];
		});
});

<?php endif ?>